package org.apache.blur.metrics;

/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with this
 * work for additional information regarding copyright ownership. The ASF
 * licenses this file to You under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

/**
 * 
 */
public class MetricsConstants {
  
  public static final String CREATED = "Created";
  public static final String DESTROYED = "Destroyed";
  public static final String REUSED = "Reused";
  public static final String LUCENE = "Lucene";
  public static final String BLUR = "Blur";
  public static final String ORG_APACHE_BLUR = "org.apache.blur";
  public static final String INTERNAL_BUFFERS = "Internal Buffers";
  public static final String SIZE_ALLOCATED = "Size Allocated";
  public static final String LOST = "Lost";
  public static final String THRIFT_CALLS = "Thrift Calls in \u00B5s";
  public static final String REQUESTS = "Requests";
  public static final String DELETE = "delete";
  public static final String UPDATE = "update";
  public static final String ADD = "add";
  public static final String SEARCH = "search";
  public static final String REMOTE = "remote";
  public static final String HDFS = "HDFS";
  public static final String LOCAL = "local";
  public static final String HIT = "Hit";
  public static final String DETACHES = "Detaches";
  public static final String REMOVAL = "Removal";
  public static final String MISS = "Miss";
  public static final String CACHE = "Cache";
  public static final String THRIFT_CACHE = "ThriftCache";
  public static final String COUNT = "Count";
  public static final String THRIFT_CACHE_ATTRIBUTE_MAP = "ThriftCacheAttributeMap";
  public static final String HDFS_KV = "HDFS-KV";
  public static final String DEEP_PAGING_CACHE = "DeepPagingCache";
  public static final String CACHE_POOL = "CachePool";
  public static final String JVM = "JVM";
  public static final String HEAP_USED = "Heap Used";
  public static final String CPU_USED = "Cpu Used";
  public static final String EVICTION = "Eviction";
  public static final String TABLE_COUNT = "Table Count";
  public static final String FILES_IN_QUEUE_TO_BE_DELETED = "Files in Queue to be Deleted";
  public static final String INDEX_MEMORY_USAGE = "Index Memory Usage";
  public static final String RECORD_COUNT = "Record Count";
  public static final String SEGMENT_COUNT = "Segment Count";
  public static final String INDEX_COUNT = "Index Count";
  public static final String INTERNAL_SEARCH = "internal search";
  public static final String SEARCH_TIMER = "search-timer";
  public static final String ENTRIES = "Entries";
  public static final String SIZE = "Size";
  public static final String LOAD_AVERAGE = "Load Average";
  public static final String SYSTEM = "System";
  public static final String MERGE_THROUGHPUT_BYTES = "Merge Throughput Bytes";
  public static final String GC_TIMES = "GC Times (ms)";
  public static final String OFF_HEAP_MEMORY = "Off Heap Memory";
  public static final String CACHE_VALUE_FINALIZE = "CacheValue Finalize";
}
